FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202011041933.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011041933.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2b575c9 OS_GIT_VERSION=4.6.0-202011041933.p0-2b575c9 SOURCE_DATE_EPOCH=1601576196 SOURCE_GIT_COMMIT=2b575c96419f8d5ebde7126ef4fa37a548b91fb2 SOURCE_GIT_TAG=v0.0.0-alpha.0-355-g2b575c96 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-controller-manager-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.6.0.20201104.194807
ENV __doozer=update BUILD_RELEASE=202011041933.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011041933.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2b575c9 OS_GIT_VERSION=4.6.0-202011041933.p0-2b575c9 SOURCE_DATE_EPOCH=1601576196 SOURCE_GIT_COMMIT=2b575c96419f8d5ebde7126ef4fa37a548b91fb2 SOURCE_GIT_TAG=v0.0.0-alpha.0-355-g2b575c96 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-controller-manager-operator/cluster-openshift-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-openshift-controller-manager-operator_02_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-controller-manager-operator" \
        com.redhat.component="ose-cluster-openshift-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-controller-manager" \
        release="202011041933.p0" \
        io.openshift.build.commit.id="2b575c96419f8d5ebde7126ef4fa37a548b91fb2" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-controller-manager-operator/commit/2b575c96419f8d5ebde7126ef4fa37a548b91fb2" \
        version="v4.6.0"

